> ## Documentation Index
> Fetch the complete documentation index at: https://velocity-api-docs.medshift.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve sales team's hierarchy



## OpenAPI

````yaml /openapi.json get /v1/sales_teams/{id}/hierarchy/
openapi: 3.0.3
info:
  title: Velocity for BigCommerce Zapier API
  version: 0.0.1
servers:
  - url: https://{tenant}.api.velocity.medshift.com/integrations/zapier
    variables:
      tenant:
        default: your-subdomain
        description: Your tenant's subdomain.
security: []
paths:
  /v1/sales_teams/{id}/hierarchy/:
    get:
      tags:
        - Sales Teams
      summary: Retrieve sales team's hierarchy
      operationId: v1_sales_teams_hierarchy_list
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RepLink'
          description: ''
      security:
        - ZapierAuthentication: []
components:
  schemas:
    RepLink:
      type: object
      properties:
        id:
          type: string
          format: uuid
        rep:
          $ref: '#/components/schemas/ThinRep'
        rep_level_id:
          type: string
          format: uuid
        children:
          type: array
          items:
            $ref: '#/components/schemas/RepLink'
      required:
        - children
        - id
        - rep
        - rep_level_id
    ThinRep:
      type: object
      properties:
        id:
          type: string
          format: uuid
        identifier:
          type: string
          minLength: 1
        name:
          type: string
          minLength: 1
      required:
        - id
        - identifier
        - name
  securitySchemes:
    ZapierAuthentication:
      type: apiKey
      in: header
      name: X-API-Key

````